(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 8.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     24093,        539]
NotebookOptionsPosition[     23620,        519]
NotebookOutlinePosition[     24072,        537]
CellTagsIndexPosition[     24029,        534]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{

Cell[CellGroupData[{
Cell[BoxData[{
 RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Panel", "[", 
  RowBox[{"DynamicModule", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"q", "=", 
       RowBox[{"Sin", "[", "x", "]"}]}], ",", 
      RowBox[{"c", "=", 
       RowBox[{"-", "5"}]}], ",", 
      RowBox[{"d", "=", "5"}], ",", 
      RowBox[{"e", "=", 
       RowBox[{"-", "3"}]}], ",", 
      RowBox[{"f", "=", "3"}]}], "\[IndentingNewLine]", 
     RowBox[{"(*", 
      RowBox[{",", 
       RowBox[{"b", "=", "2"}]}], "*)"}], "\[IndentingNewLine]", "}"}], ",", 
    "\[IndentingNewLine]", 
    RowBox[{"Column", "[", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<f(x) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "q", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(min\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "c", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(x\), \(max\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "d", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(min\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "e", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"Row", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<\!\(\*SubscriptBox[\(y\), \(max\)]\) = \>\"", ",", 
          RowBox[{"InputField", "[", 
           RowBox[{"Dynamic", "[", "f", "]"}], "]"}]}], "}"}], "]"}], ",", 
       "\[IndentingNewLine]", 
       RowBox[{"(*", 
        RowBox[{
         RowBox[{"Row", "[", 
          RowBox[{"{", 
           RowBox[{"\"\<c \>\"", ",", 
            RowBox[{"Slider", "[", 
             RowBox[{
              RowBox[{"Dynamic", "[", "t", "]"}], ",", 
              RowBox[{"{", 
               RowBox[{"2", ",", "0.001"}], "}"}]}], "]"}], ",", 
            RowBox[{"Dynamic", "[", "t", "]"}]}], "}"}], "]"}], ","}], "*)"}],
        "\[IndentingNewLine]", 
       RowBox[{"Dynamic", "[", "\[IndentingNewLine]", 
        RowBox[{
        "Manipulate", "[", "\[IndentingNewLine]", "\[IndentingNewLine]", 
         RowBox[{
          RowBox[{
           RowBox[{"as", "=", 
            RowBox[{"N", "[", "a", "]"}]}], ";", "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ff", "[", "0", "]"}], "=", 
            RowBox[{"q", "/.", 
             RowBox[{"x", "\[Rule]", "a"}]}]}], ";", "\[IndentingNewLine]", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"ff", "[", "i", "]"}], ":=", 
              RowBox[{
               RowBox[{"D", "[", 
                RowBox[{"q", ",", 
                 RowBox[{"{", 
                  RowBox[{"x", ",", "i"}], "}"}]}], "]"}], "/.", 
               RowBox[{"x", "\[Rule]", "a"}]}]}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"t", "=", 
            RowBox[{"Sum", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"ff", "[", "i", "]"}], "/", 
                 RowBox[{"i", "!"}]}], ")"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"x", "-", "a"}], ")"}], "^", "i"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{
            RowBox[{"ffn", "[", "0", "]"}], "=", 
            RowBox[{"N", "[", 
             RowBox[{"q", "/.", 
              RowBox[{"x", "\[Rule]", "a"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"Table", "[", 
            RowBox[{
             RowBox[{
              RowBox[{"ffn", "[", "i", "]"}], ":=", 
              RowBox[{"N", "[", 
               RowBox[{
                RowBox[{"D", "[", 
                 RowBox[{"q", ",", 
                  RowBox[{"{", 
                   RowBox[{"x", ",", "i"}], "}"}]}], "]"}], "/.", 
                RowBox[{"x", "\[Rule]", "a"}]}], "]"}]}], ",", 
             RowBox[{"{", 
              RowBox[{"i", ",", "1", ",", "n"}], "}"}]}], "]"}], ";", 
           "\[IndentingNewLine]", 
           RowBox[{"tn", "=", 
            RowBox[{"Sum", "[", 
             RowBox[{
              RowBox[{
               RowBox[{"(", 
                RowBox[{
                 RowBox[{"ffn", "[", "i", "]"}], "/", 
                 RowBox[{"i", "!"}]}], ")"}], "*", 
               RowBox[{
                RowBox[{"(", 
                 RowBox[{"x", "-", "a"}], ")"}], "^", "i"}]}], ",", 
              RowBox[{"{", 
               RowBox[{"i", ",", "0", ",", "n"}], "}"}]}], "]"}]}], ";", 
           "\[IndentingNewLine]", "\[IndentingNewLine]", 
           RowBox[{"Dynamic", "[", 
            RowBox[{"Grid", "[", 
             RowBox[{"(*", "0", "*)"}], "\[IndentingNewLine]", 
             RowBox[{"(*", 
              RowBox[{"text", " ", "-", " ", 
               RowBox[{"first", " ", "row"}]}], "*)"}], "\[IndentingNewLine]", 
             RowBox[{"{", 
              RowBox[{"(*", "1", "*)"}], "\[IndentingNewLine]", 
              RowBox[{
               RowBox[{"{", 
                RowBox[{"(*", "2", "*)"}], "\[IndentingNewLine]", 
                RowBox[{"Framed", "@", 
                 RowBox[{"Text", "@", 
                  RowBox[{"Column", "[", 
                   RowBox[{"(*", "3", "*)"}], "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"(*", "4", "*)"}], "\[IndentingNewLine]", 
                    RowBox[{
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<f(x) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "q", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<a = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "a", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{"\"\<n = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "n", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}], ",", 
                    "\[IndentingNewLine]", 
                    RowBox[{"Style", "[", 
                    RowBox[{
                    RowBox[{"Row", "[", 
                    RowBox[{"{", 
                    RowBox[{
                    "\"\<\!\(\*SubscriptBox[\(T\), \(n\)]\) = \>\"", ",", 
                    RowBox[{"TraditionalForm", "[", "t", "]"}]}], "}"}], 
                    "]"}], ",", "Black", ",", "16"}], "]"}]}], 
                    "\[IndentingNewLine]", 
                    RowBox[{"(*", "4", "*)"}], "}"}], ",", 
                    RowBox[{"Alignment", "\[Rule]", "Center"}]}], 
                   "\[IndentingNewLine]", 
                   RowBox[{"(*", "3", "*)"}], "]"}]}]}], 
                "\[IndentingNewLine]", "}"}], ",", "\[IndentingNewLine]", 
               "\[IndentingNewLine]", 
               RowBox[{"(*", 
                RowBox[{"plots", " ", "-", " ", 
                 RowBox[{"second", " ", "row"}]}], "*)"}], 
               "\[IndentingNewLine]", 
               RowBox[{"{", 
                RowBox[{"Show", "[", 
                 RowBox[{"{", 
                  RowBox[{"(*", "show", "*)"}], "\[IndentingNewLine]", 
                  RowBox[{"Plot", "[", 
                   RowBox[{"(*", "plot", "*)"}], "\[IndentingNewLine]", 
                   RowBox[{
                    RowBox[{"{", 
                    RowBox[{"q", ",", "tn"}], "}"}], " ", ",", " ", 
                    RowBox[{"{", 
                    RowBox[{"x", ",", "c", ",", "d"}], "}"}], ",", " ", 
                    RowBox[{"PlotStyle", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"Blue", ",", " ", "Red"}], "}"}]}], ",", 
                    RowBox[{"PlotRange", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"e", ",", "f"}], "}"}]}], ",", 
                    RowBox[{"ImageSize", "\[Rule]", "450"}], ",", " ", 
                    RowBox[{"AspectRatio", "\[Rule]", "1"}], ",", 
                    "\[IndentingNewLine]", "\[IndentingNewLine]", " ", 
                    RowBox[{"Prolog", "\[Rule]", 
                    RowBox[{"{", 
                    RowBox[{"{", 
                    RowBox[{
                    RowBox[{"PointSize", "[", ".02", "]"}], ",", "Green", ",",
                     " ", 
                    RowBox[{"Point", "[", 
                    RowBox[{"{", 
                    RowBox[{"as", ",", 
                    RowBox[{"ff", "[", "0", "]"}]}], "}"}], "]"}]}], "}"}], 
                    "}"}]}]}], "\[IndentingNewLine]", 
                   RowBox[{"(*", "plot", "*)"}], "]"}], "\[IndentingNewLine]", 
                  RowBox[{"(*", "show", "*)"}], "}"}], "]"}], 
                "\[IndentingNewLine]", 
                RowBox[{"(*", "2", "*)"}], "}"}]}], "\[IndentingNewLine]", 
              RowBox[{"(*", "1", "*)"}], "}"}], "\[IndentingNewLine]", 
             RowBox[{"(*", "0", "*)"}], "]"}], "]"}]}], ",", 
          "\[IndentingNewLine]", "\[IndentingNewLine]", "\[IndentingNewLine]", 
          RowBox[{"(*", 
           RowBox[{"parameters", " ", "for", " ", "Manipulate"}], "*)"}], 
          "\[IndentingNewLine]", 
          RowBox[{"{", 
           RowBox[{
            RowBox[{"{", 
             RowBox[{"a", ",", "0", ",", "\"\<a\>\""}], "}"}], ",", 
            RowBox[{"{", 
             RowBox[{"0", ",", " ", "1", ",", "2", ",", "3", ",", "4"}], 
             "}"}], ",", 
            RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
          RowBox[{"{", 
           RowBox[{"n", ",", 
            RowBox[{"{", 
             RowBox[{
             "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7", 
              ",", "8", ",", "9", ",", "10"}], "}"}], ",", 
            RowBox[{"ControlType", "\[Rule]", "Setter"}]}], "}"}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"AutorunSequencing", "\[Rule]", 
           RowBox[{"{", 
            RowBox[{"2", ",", "3", ",", "4"}], "}"}]}], ",", 
          "\[IndentingNewLine]", 
          RowBox[{"TrackedSymbols", "\[Rule]", "True"}], ",", 
          RowBox[{"Alignment", "\[Rule]", "Center"}]}], "]"}], 
        "\[IndentingNewLine]", "]"}]}], "\[IndentingNewLine]", "}"}], "]"}]}],
    "]"}], "]"}]}], "Input",
 CellChangeTimes->{{3.5548229248409853`*^9, 3.5548229466889133`*^9}, {
   3.554822985184717*^9, 3.554822990051464*^9}, {3.5548232361851683`*^9, 
   3.554823244343986*^9}, {3.55482330863838*^9, 3.5548233728128223`*^9}, {
   3.55482371858051*^9, 3.5548237381939077`*^9}, {3.5548237781320744`*^9, 
   3.5548237821148243`*^9}, 3.554823826721324*^9, 3.554823884960312*^9, {
   3.554823934487673*^9, 3.55482402880315*^9}, {3.554824065601808*^9, 
   3.5548240780637817`*^9}, {3.554824588728223*^9, 3.554824740461091*^9}, {
   3.554824901128907*^9, 3.554824901350931*^9}, {3.554824970830752*^9, 
   3.554824994704013*^9}, {3.55482504086754*^9, 3.5548250617734737`*^9}, {
   3.5548251139903107`*^9, 3.5548251178233557`*^9}, {3.5548251766566887`*^9, 
   3.554825187628934*^9}, {3.554825217924676*^9, 3.554825223235094*^9}, {
   3.554825261921914*^9, 3.554825282804688*^9}, {3.5548253607363873`*^9, 
   3.5548254167455177`*^9}, 3.554825572841331*^9, {3.5548259437586603`*^9, 
   3.554826069258127*^9}, 3.5548263383386803`*^9, {3.55482656679825*^9, 
   3.554826570588431*^9}, {3.554830885020033*^9, 3.554830997524693*^9}, 
   3.554831647568816*^9, {3.5548316953994904`*^9, 3.554831718298993*^9}, {
   3.555442983341394*^9, 3.555442988200677*^9}, {3.555443019847315*^9, 
   3.5554431003546953`*^9}, {3.555443133223069*^9, 3.555443169808136*^9}, {
   3.555443235494568*^9, 3.555443281709242*^9}, {3.555443331218523*^9, 
   3.555443331664195*^9}, {3.555854117460726*^9, 3.555854144210371*^9}, {
   3.5558545651288967`*^9, 3.555854570656056*^9}, {3.555854616817471*^9, 
   3.555854624823022*^9}, {3.555863076542652*^9, 3.555863131859889*^9}, {
   3.555863162958136*^9, 3.555863220026888*^9}, {3.555863288834029*^9, 
   3.55586344199885*^9}, {3.5558634731343203`*^9, 3.555863486549438*^9}, 
   3.5558944741076202`*^9, {3.555894507779171*^9, 3.55589451236117*^9}, {
   3.555894727412059*^9, 3.555894770352092*^9}, {3.555894826784403*^9, 
   3.555894916790268*^9}, {3.555895133713423*^9, 3.555895135054449*^9}, 
   3.555896073832879*^9, {3.5558961129662237`*^9, 3.555896173771688*^9}, {
   3.55589629615749*^9, 3.555896329563645*^9}, {3.555896377005917*^9, 
   3.5558964382113113`*^9}, 3.555928922422305*^9, 3.555928952864908*^9, {
   3.555928985455372*^9, 3.5559290742046537`*^9}, {3.555929160650202*^9, 
   3.5559291992819633`*^9}, {3.5559383980898447`*^9, 3.555938426496605*^9}, {
   3.555938638434586*^9, 3.5559386402785807`*^9}, {3.555938771417759*^9, 
   3.555938776353813*^9}, {3.555938806778221*^9, 3.555939089266123*^9}, {
   3.555939145597715*^9, 3.555939158907517*^9}, {3.5559392887261477`*^9, 
   3.555939334730699*^9}, {3.55594049014183*^9, 3.5559404946566563`*^9}, {
   3.555940546015019*^9, 3.55594056014144*^9}, {3.555940645305149*^9, 
   3.555940692978821*^9}, {3.5559407513423347`*^9, 3.5559407978108063`*^9}, {
   3.555955138707622*^9, 3.5559552049203777`*^9}, {3.5671701131934223`*^9, 
   3.5671702610275183`*^9}, {3.567170402325935*^9, 3.5671704428473797`*^9}, 
   3.567170487793378*^9, {3.5671705664502783`*^9, 3.5671705865145597`*^9}, {
   3.567170637344861*^9, 3.5671708079365807`*^9}, {3.567170838922205*^9, 
   3.567170871505926*^9}, {3.567170940086508*^9, 3.56717096747055*^9}, {
   3.567171013691156*^9, 3.5671710865778*^9}, {3.5674236697765207`*^9, 
   3.567423718293239*^9}, {3.567423750864496*^9, 3.567423765540229*^9}}],

Cell[BoxData[
 PanelBox[
  DynamicModuleBox[{$CellContext`q$$ = 
   Sin[$CellContext`x], $CellContext`c$$ = -5, $CellContext`d$$ = 
   5, $CellContext`e$$ = -3, $CellContext`f$$ = 3}, 
   TagBox[GridBox[{
      {
       TemplateBox[{"\"f(x) = \"",InputFieldBox[
          Dynamic[$CellContext`q$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(x\\), \\(min\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`c$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(x\\), \\(max\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`d$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(y\\), \\(min\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`e$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       TemplateBox[{
        "\"\\!\\(\\*SubscriptBox[\\(y\\), \\(max\\)]\\) = \"",InputFieldBox[
          Dynamic[$CellContext`f$$]]},
        "Row",
        DisplayFunction->(RowBox[{#, "\[InvisibleSpace]", #2}]& ),
        InterpretationFunction->(RowBox[{"Row", "[", 
           RowBox[{"{", 
             RowBox[{#, ",", #2}], "}"}], "]"}]& )]},
      {
       DynamicBox[ToBoxes[
         Manipulate[$CellContext`as = N[$CellContext`a]; $CellContext`ff[0] = 
           ReplaceAll[$CellContext`q$$, $CellContext`x -> $CellContext`a]; 
          Table[$CellContext`ff[$CellContext`i] := ReplaceAll[
              
              D[$CellContext`q$$, {$CellContext`x, $CellContext`i}], \
$CellContext`x -> $CellContext`a], {$CellContext`i, 
             1, $CellContext`n}]; $CellContext`t = 
           Sum[($CellContext`ff[$CellContext`i]/
              Factorial[$CellContext`i]) ($CellContext`x - \
$CellContext`a)^$CellContext`i, {$CellContext`i, 
              0, $CellContext`n}]; $CellContext`ffn[0] = N[
             ReplaceAll[$CellContext`q$$, $CellContext`x -> $CellContext`a]]; 
          Table[$CellContext`ffn[$CellContext`i] := N[
              ReplaceAll[
               
               D[$CellContext`q$$, {$CellContext`x, $CellContext`i}], \
$CellContext`x -> $CellContext`a]], {$CellContext`i, 
             1, $CellContext`n}]; $CellContext`tn = 
           Sum[($CellContext`ffn[$CellContext`i]/
              Factorial[$CellContext`i]) ($CellContext`x - \
$CellContext`a)^$CellContext`i, {$CellContext`i, 0, $CellContext`n}]; 
          Dynamic[
            Grid[{{
               Framed[
                Text[
                 Column[{
                   Style[
                    Row[{"f(x) = ", 
                    TraditionalForm[$CellContext`q$$]}], Black, 16], 
                   Style[
                    Row[{"a = ", 
                    TraditionalForm[$CellContext`a]}], Black, 16], 
                   Style[
                    Row[{"n = ", 
                    TraditionalForm[$CellContext`n]}], Black, 16], 
                   Style[
                    Row[{"\!\(\*SubscriptBox[\(T\), \(n\)]\) = ", 
                    TraditionalForm[$CellContext`t]}], Black, 16]}, Alignment -> 
                  Center]]]}, {
               Show[{
                 
                 Plot[{$CellContext`q$$, $CellContext`tn}, {$CellContext`x, \
$CellContext`c$$, $CellContext`d$$}, PlotStyle -> {Blue, Red}, 
                  PlotRange -> {$CellContext`e$$, $CellContext`f$$}, 
                  ImageSize -> 450, AspectRatio -> 1, Prolog -> {{
                    PointSize[0.02], Green, 
                    Point[{$CellContext`as, 
                    $CellContext`ff[0]}]}}]}]}}]], {{$CellContext`a, 0, 
            "a"}, {0, 1, 2, 3, 4}, ControlType -> Setter}, {$CellContext`n, {
           1, 2, 3, 4, 5, 6, 7, 8, 9, 10}, ControlType -> Setter}, 
          AutorunSequencing -> {2, 3, 4}, TrackedSymbols -> True, Alignment -> 
          Center], StandardForm],
        ImageSizeCache->{614., {402., 408.}}]}
     },
     GridBoxAlignment->{"Columns" -> {{Left}}},
     GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}}],
    "Column"],
   DynamicModuleValues:>{}]]], "Output",
 CellChangeTimes->{{3.555928930991829*^9, 3.555928954784794*^9}, 
   3.5559292037770033`*^9, 3.5559382131475267`*^9, 3.555938244925846*^9, 
   3.555938323049315*^9, 3.5559384002941017`*^9, 3.555938431802312*^9, 
   3.5559385857601967`*^9, 3.55593864284724*^9, 3.5559387784309196`*^9, {
   3.555938808849345*^9, 3.555938849232975*^9}, 3.5559389246273413`*^9, 
   3.555939045963923*^9, 3.555939098577827*^9, 3.555939162276883*^9, 
   3.5559392985047083`*^9, 3.555939346702985*^9, 3.555940564663632*^9, 
   3.5559406952421837`*^9, {3.555940727477477*^9, 3.55594080014065*^9}, 
   3.555940842125005*^9, 3.555940921739141*^9, {3.5559409788954887`*^9, 
   3.55594101071284*^9}, 3.555954928801971*^9, 3.555955150588694*^9, 
   3.55595520892981*^9, 3.555955359643311*^9, 3.555972934074053*^9, 
   3.556013131350937*^9, 3.5592376666316223`*^9, {3.5671708251414747`*^9, 
   3.567170873036912*^9}, 3.567170973121808*^9, 3.567171093759088*^9, 
   3.567171192870852*^9, 3.567171610988858*^9, 3.567423723004458*^9, 
   3.567423768664596*^9}]
}, Open  ]],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"THIS", " ", "NOTEBOOK", " ", "IS"}], "\n", 
   "\"\<Bard - Mathematica - Taylor Polynomial Demo\>\"", 
   "\[IndentingNewLine]", 
   RowBox[{
   "THIS", " ", "NOTEBOOK", " ", "IS", " ", "A", " ", "MODIFIED", " ", 
    "VERSION", " ", "OF"}], "\n", "\"\<Secant Approximations\>\"", 
   "\[IndentingNewLine]", 
   RowBox[{"from", " ", 
    ButtonBox[
     RowBox[{"the", " ", "Wolfram", " ", "Demonstrations", " ", "Project"}],
     BaseStyle->"Hyperlink",
     ButtonData->{
       URL["http://demonstrations.wolfram.com/"], None},
     ButtonNote->"http://demonstrations.wolfram.com/"]}], 
   "\[IndentingNewLine]", "\[NonBreakingSpace]\[NonBreakingSpace]", 
   ButtonBox[
    RowBox[{
     RowBox[{"http", ":"}], "//", 
     RowBox[{
      RowBox[{
       RowBox[{"demonstrations", ".", "wolfram", ".", "com"}], "/", 
       "SecantApproximations"}], "/"}]}],
    BaseStyle->"Hyperlink",
    ButtonData->{
      URL["http://demonstrations.wolfram.com/SecantApproximations/"], None},
    ButtonNote->"http://demonstrations.wolfram.com/SecantApproximations/"], 
   "\n", 
   RowBox[{"Contributed", " ", 
    RowBox[{"by", ":", " ", 
     ButtonBox[
      RowBox[{"Chris", " ", "Boucher"}],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL[
        "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"],
         None},
      ButtonNote->
       "http://demonstrations.wolfram.com/author.html?author=Chris+Boucher"]}]\
}], "\[IndentingNewLine]", 
   RowBox[{"Modified", " ", 
    RowBox[{"by", ":", " ", 
     ButtonBox[
      RowBox[{"Ethan", " ", "Bloch"}],
      BaseStyle->"Hyperlink",
      ButtonData->{
        URL[
        "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"], 
        None},
      ButtonNote->
       "http://demonstrations.wolfram.com/author.html?author=Jim+Brandt"]}]}]}\
]}]], "Input",
 CellChangeTimes->{{3.554643887154148*^9, 3.554643894120864*^9}, {
   3.554643928521969*^9, 3.5546439339859943`*^9}, {3.5546439870866327`*^9, 
   3.554644011899135*^9}, 3.554644188266039*^9, 3.554645979032176*^9, {
   3.5546460222225246`*^9, 3.554646054791726*^9}, {3.559237580841009*^9, 
   3.559237581614252*^9}, {3.567171166542913*^9, 3.56717117182792*^9}, 
   3.5674236582868757`*^9}]
},
WindowSize->{770, 699},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
Magnification:>FEPrivate`If[
  FEPrivate`Equal[FEPrivate`$VersionNumber, 6.], 1.25, 1.25 Inherited],
FrontEndVersion->"8.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (July 22, \
2012)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[CellGroupData[{
Cell[579, 22, 14813, 307, 1079, "Input"],
Cell[15395, 331, 5869, 124, 993, "Output"]
}, Open  ]],
Cell[21279, 458, 2337, 59, 205, "Input"]
}
]
*)

(* End of internal cache information *)
